import { DoCheck, ElementRef, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiTextBoxElement } from "../../elements/StiTextBoxElement";
import * as i0 from "@angular/core";
export declare class StiTextBoxComponent implements OnInit, DoCheck {
    model: StiModelService;
    element: StiTextBoxElement;
    textArea: ElementRef;
    isClone: boolean;
    get align(): string;
    get needToFill(): boolean;
    disableDrag(event: any): void;
    constructor(model: StiModelService);
    ngDoCheck(): void;
    ngOnInit(): void;
    borderWidth(): string;
    get text(): string;
    set text(value: string);
    get password(): string;
    set password(value: string);
    onInput(value: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiTextBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiTextBoxComponent, "sti-textbox-component", never, { "element": { "alias": "element"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
